
// VTC6210_IO_UtilityDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CVTC6210_IO_UtilityDlg dialog
class CVTC6210_IO_UtilityDlg : public CDialog
{
// Construction
public:
	CVTC6210_IO_UtilityDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VTC6210_IO_UTILITY_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnDestroy();
	CEdit m_CEdit_Ignition;
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	CEdit m_CEdit_Battery;
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	CComboBox m_CComboBox_WDT;
	CComboBox m_CComboBox_WDT_Time;
	afx_msg void OnBnClickedButton9();
	CComboBox m_CComboBox_SIM_CARD;
	afx_msg void OnBnClickedButton10();
	CComboBox m_CComboBox_WLAN;
	afx_msg void OnBnClickedButton11();
	CComboBox m_CComboBox_EXTERNAL_12V;
	afx_msg void OnBnClickedButton12();
	CComboBox m_CComboBox_Wireless_WAN_Wake_up;
	afx_msg void OnBnClickedButton13();
	CComboBox m_CComboBox_RTC_Wake_up;
	CEdit m_CEdit_StartupTime_User_Hour;
	CEdit m_CEdit_StartupTime_User_Minute;
	afx_msg void OnBnClickedButton14();
	CComboBox m_CComboBox_SerialPort_Select;
	afx_msg void OnBnClickedButton15();
	CComboBox m_CComboBox_Power_On_Delay;
	CComboBox m_CComboBox_Power_On_Delay_Time;
	afx_msg void OnBnClickedButton16();
	CComboBox m_CComboBox_Power_Off_Delay;
	CComboBox m_CComboBox_Power_Off_Delay_Time;
	afx_msg void OnBnClickedButton17();
	CEdit m_CEdit_InputVoltage;
	CComboBox m_CComboBox_InputVoltage;
	CButton m_CButton_InputVoltage;
	afx_msg void OnBnClickedButton18();
	CComboBox m_CComboBox_Reset_CAN_Module;
	afx_msg void OnBnClickedButton19();
	CComboBox m_CComboBox_CAN_Module_Power_Reset;
	afx_msg void OnBnClickedButton20();
	CEdit m_CEdit_CAN_Data_link_detect;
	CComboBox m_CComboBox_GPO_1;
	CComboBox m_CComboBox_GPO_2;
	CComboBox m_CComboBox_GPO_3;
	CComboBox m_CComboBox_GPO_4;
	CComboBox m_CComboBox_GPO_5;
	CComboBox m_CComboBox_GPO_6;
	afx_msg void OnBnClickedButton24();
	afx_msg void OnBnClickedButton25();
	afx_msg void OnBnClickedButton26();
	afx_msg void OnBnClickedButton27();
	afx_msg void OnBnClickedButton28();
	afx_msg void OnBnClickedButton29();
	CEdit m_CEdit_GPO_1;
	CEdit m_CEdit_GPO_2;
	CEdit m_CEdit_GPO_3;
	CEdit m_CEdit_GPO_4;
	CEdit m_CEdit_GPO_5;
	CEdit m_CEdit_GPO_6;
	afx_msg void OnBnClickedButton30();
	afx_msg void OnBnClickedButton31();
	afx_msg void OnBnClickedButton32();
	afx_msg void OnBnClickedButton33();
	afx_msg void OnBnClickedButton34();
	afx_msg void OnBnClickedButton35();
	CComboBox m_CComboBox_GPIO_Select_1;
	CComboBox m_CComboBox_GPIO_Select_2;
	CComboBox m_CComboBox_GPIO_Select_3;
	CComboBox m_CComboBox_GPIO_Select_4;
	CComboBox m_CComboBox_GPIO_Select_5;
	CComboBox m_CComboBox_GPIO_Select_6;
	afx_msg void OnBnClickedButton36();
	afx_msg void OnBnClickedButton37();
	afx_msg void OnBnClickedButton38();
	afx_msg void OnBnClickedButton39();
	afx_msg void OnBnClickedButton40();
	afx_msg void OnBnClickedButton41();
	CComboBox m_CComboBox_WLAN_DIS2_L;
	afx_msg void OnBnClickedButton42();
	CComboBox m_CComboBox_WLAN_DIS3_L;
	afx_msg void OnBnClickedButton43();
	CComboBox m_CComboBox_USB2_Con;
	afx_msg void OnBnClickedButton44();
	CComboBox m_CComboBox_USB3_Con;
	afx_msg void OnBnClickedButton45();
	CComboBox m_CComboBox_GPS_POWER;
	afx_msg void OnBnClickedButton46();
	afx_msg void OnBnClickedButton47();
	CComboBox m_CComboBox_MCU_GPO_Status_1;
	afx_msg void OnBnClickedButton48();
	CComboBox m_CComboBox_MCU_GPO_Status_2;
	afx_msg void OnBnClickedButton49();
	CEdit m_CEdit_MCU_GPI_Status_1;
	afx_msg void OnBnClickedButton50();
	CEdit m_CEdit_MCU_GPI_Status_2;
	afx_msg void OnBnClickedButton51();
	afx_msg void OnBnClickedButton52();
	CEdit m_CEdit_MCU_PANIC_Status;
	CComboBox m_CComboBox_SIM_CARD_In_or_Ex;
	afx_msg void OnBnClickedButton53();
	afx_msg void OnBnClickedButton54();
	CComboBox m_CComboBox_GPO_7;
	CComboBox m_CComboBox_GPO_8;
	CEdit m_CEdit_GPO_7;
	CEdit m_CEdit_GPO_8;
	afx_msg void OnBnClickedButton55();
	afx_msg void OnBnClickedButton56();
	CComboBox m_CComboBox_GPIO_Select_7;
	CComboBox m_CComboBox_GPIO_Select_8;
	afx_msg void OnBnClickedButton57();
	afx_msg void OnBnClickedButton58();
	CEdit m_CEdit_InputVoltage_Value;
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	CComboBox m_CComboBox_Bypass_Car_Battery;
	CEdit m_CEdit_MCU_Version;
	CEdit m_CEdit_GAL_Version;
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	CEdit m_CEdit_Product_Name;
	CEdit m_CEdit_Product_Serial_number;
};
